clear_nlink
Prev | The Filesystem types | Next

## Name

clear_nlink — directly zero an inode's link count

## Synopsis

`void clear_nlink (` | struct inode * | inode`)`;

## Arguments

`inode`

  inode

## Description

This is a low-level filesystem helper to replace any direct filesystem manipulation of i_nlink. See `drop_nlink` for why we care about i_nlink hitting zero.

Prev | Up | Next
drop_nlink | Home | inode_inc_iversion